Update user password
import requests
url = "https://{FUSION HOST}/api/users/{id}"
payload = {
"password": { "empty": True },
"passwordConfirm": { "empty": True }
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "fe0885f2-8885-4c46-a3ea-8e5d0041c293",
"username": "admin",
"realmName": "ldap-internal",
"createdAt": "2025-09-23T17:48:07Z",
"updatedAt": "2025-10-31T12:28:04Z",
"roleNames": [
"search",
"developer"
],
"timezone": "Pacific Time (US & Canada)",
"permissions": [
{
"methods": [],
"path": "/",
"params": {}
}
]
}Update user password
Normal users can update only their own password; admin users can change any user password.
PATCH
/
users
/
{id}
Update user password
import requests
url = "https://{FUSION HOST}/api/users/{id}"
payload = {
"password": { "empty": True },
"passwordConfirm": { "empty": True }
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "fe0885f2-8885-4c46-a3ea-8e5d0041c293",
"username": "admin",
"realmName": "ldap-internal",
"createdAt": "2025-09-23T17:48:07Z",
"updatedAt": "2025-10-31T12:28:04Z",
"roleNames": [
"search",
"developer"
],
"timezone": "Pacific Time (US & Canada)",
"permissions": [
{
"methods": [],
"path": "/",
"params": {}
}
]
}Path Parameters
The user ID. Note that this is different than the username. Use GET /users to get the list of user IDs.
Body
application/json
Response
OK
Example:
"fe0885f2-8885-4c46-a3ea-8e5d0041c293"
Example:
"admin"
Example:
"ldap-internal"
Example:
"2025-09-23T17:48:07Z"
Example:
"2025-10-31T12:28:04Z"
Indicates which roles are dynamically applied to users in the realm.
Example:
["search", "developer"]Example:
"Pacific Time (US & Canada)"
Show child attributes
Show child attributes
Was this page helpful?
⌘I